<template>
  <div
    class="app-download-container flex justify-around items-center py-[40px] container mx-auto"
  >
    <div>
      <div class="text-[32px] font-bold pl-[16px] mb-[16px] --text2">
        {{ $t("app_download") }}
      </div>
      <generate-qr-app-download :qrCodeLink="getAppDownloadUrl" />
    </div>
    <div class="w-[500px] h-[450px]">
      <img
        class="w-full h-full object-contain"
        :src="appDownload.ImagePath"
        alt="AppDownload"
      />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  setup() {
    const { appDownload, getAppDownloadUrl } = useHeaderComponent();
    return {
      appDownload,
      getAppDownloadUrl,
    };
  },
});
</script>
